
services:
    Application\UseCase\Location\CityListHandlerInterface:
        class: Application\UseCase\Location\CityListHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\LocationBundle\Command\CityListCommand }

    Application\UseCase\Location\CityListPrimaryHandlerInterface:
        class: Application\UseCase\Location\CityListPrimaryHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\LocationBundle\Command\CityListPrimaryCommand }

    Application\UseCase\Location\RegionListHandlerInterface:
        class: Application\UseCase\Location\RegionListHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\LocationBundle\Command\RegionListCommand }

    Application\UseCase\Location\CountryListHandlerInterface:
        class: Application\UseCase\Location\CountryListHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\LocationBundle\Command\CountryListCommand }

    Application\UseCase\Location\CountryListPrimaryHandlerInterface:
        class: Application\UseCase\Location\CountryListPrimaryHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\LocationBundle\Command\CountryListPrimaryCommand }